Katello - Bug #24143

Subscriptions page throws error under the "Any Organization" context
07/03/2018 11:26 AM - Toma$ Strachota

Status: Closed
Priority: Normal
Assignee: Amir Fefer
Category: Subscriptions
Target version: Katello 3.7.1
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1597377 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/749
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1597086

Description of problem:

When user has selected "Any Organization" from the org picker, an error is thrown.

This is essentially a regression from the old Ul, which would prompt user to select an Org before going any further on this page.
Note that | have not dug into any potential consequences of further workflows while in this state (uploading manifests, etc.)

Version-Release number of selected component (if applicable):
Satellite 6.4.0 snap 10

How reproducible:

Steps to Reproduce:

1. Create an Org or two, upload a manifest to one or more of these Orgs, etc.
2. In the context switcher, select "Any Organization”

3. Nav to the Subscriptions page

Actual results:
An error dialog reading...

Couldn't find organization "
Expected results:
This page (and all related pages in the Subs workflow) should not be accessible if no specific org is selected.

Additional info:

Related issues:
Related to Katello - Bug #22568: RH repos XUI: page crashes when in Any context Closed

Associated revisions

Revision 6ef62d1f - 07/25/2018 04:34 PM - Amir Fefer
Fixes #22568, #24143 - add select org page

History

#1 - 07/03/2018 11:27 AM - Tomas Strachota

- Target version set to 219

#2 - 07/03/2018 11:27 AM - Tomas Strachota
https://bugzilla.redhat.com/show_bug.cgi?id=1597086

- Related to Bug #22568: RH repos XUI: page crashes when in Any context added

#3 - 07/03/2018 03:37 PM - Greg Sutcliffe
- Triaged set to No
- Team Backlog UX added

#4 - 07/03/2018 07:03 PM - John Mitsch
- Target version deleted (219)
- Bugzilla link changed from 1597086 to 1597377

#5 - 07/03/2018 07:15 PM - The Foreman Bot

- Assignee set to John Mitsch

- Target version deleted (219)

- Pull request https://github.com/Katello/katello/pull/7497 added

#6 - 07/03/2018 07:18 PM - The Foreman Bot
- Target version deleted (219)

#7 - 07/05/2018 02:27 PM - The Foreman Bot
- Target version deleted (219)

#8 - 07/05/2018 02:27 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Target version deleted (219)

#9 - 07/05/2018 02:36 PM - The Foreman Bot
- Target version deleted (219)

#10 - 07/05/2018 02:37 PM - The Foreman Bot
- Target version deleted (219)

#11 - 07/05/2018 02:39 PM - The Foreman Bot
- Target version deleted (219)

#12 - 07/05/2018 02:39 PM - The Foreman Bot
- Target version deleted (219)

#13 - 07/09/2018 02:31 PM - Brad Buckingham
- Target version changed from 219 to Katello 3.7.0

#14 - 07/17/2018 04:47 PM - Walden Raines

- Assignee changed from John Mitsch to Amir Fefer

- Pull request https://github.com/Katello/katello/pull/7495 added

- Pull request deleted (https://github.com/Katello/katello/pull/7497)

#15 - 07/25/2018 05:01 PM - Amir Fefer
- Status changed from Ready For Testing to Closed

Applied in changeset katello|6ef62d1f497f905848f6185a279ca12d0c170eb8.

#16 - 09/06/2018 02:28 PM - Jonathon Turel
- Target version changed from Katello 3.7.0 to Katello 3.7.1
